%{?nodejs_find_provides_and_requires}

%global packagename acorn-jsx

# Tests disabled until we can bootstrap npm(acorn)
%global enable_tests 0

Name:		nodejs-acorn-jsx
Version:	3.0.1
Release:	1%{?dist}
Summary:	Alternative, faster React.js JSX parser

License:	MIT
URL:		https://github.com/RReverser/acorn-jsx
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(acorn)
%if 0%{?enable_tests}
BuildRequires:	npm(mocha)
BuildRequires:	npm(chai)
%endif

%description
Alternative, faster React.js JSX parser


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
#%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/run.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Jul 07 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.1-1
- Update to upstream 3.0.1 release

* Fri Feb 26 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.1-1
- Initial packaging
